## xml

Das XmlPackage-Interface bietet Funktionen zum Erstellen und Analysieren von XML-Strings. Es enthält folgende Methoden:

-   `create(data: any, options?: {}): string`:
    Diese Methode nimmt ein Objekt oder ein Array als Daten sowie optionale Einstellungen entgegen und gibt einen XML-String zurück. Mit dieser Methode können Sie beispielsweise ein JavaScript-Objekt oder -Array in einen XML-String umwandeln.

-   `parse(xml: string, options?: {}): any`:
    Diese Methode nimmt einen XML-String und optionale Einstellungen entgegen und gibt ein JavaScript-Objekt zurück. Mit dieser Methode können Sie XML-Strings analysieren und in ein Format umwandeln, das in JavaScript leichter zu handhaben ist.

```ts
interface XmlPackage {
    /**
     * create xml string
     *
     * @param data object or array
     * @param options options
     */
    create(data: any, options?: {}): string

    /**
     * parse xml string to json
     *
     * @param xml xml string
     * @param options options
     */
    parse(xml: string, options?: {}): any
}
```
